Skip to main content
POST
/
platform
/
adminuser
/
accounts
Error
A valid request URL is required to generate request examples
{
  "emailAddress": "<string>",
  "externalId": "<string>",
  "firstName": "<string>",
  "id": "<string>",
  "identityProviderId": "<string>",
  "isActive": true,
  "lastName": "<string>",
  "localeCode": "<string>",
  "optInToEmail": true,
  "optInToTextMessage": true,
  "password": "<string>",
  "phoneNumber": "<string>",
  "roles": [
    {
      "assignedInScope": {
        "id": 123,
        "name": "<string>",
        "type": "<string>"
      },
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "roleId": 123,
      "roleName": "<string>",
      "roleResources": [
        {
          "id": "<string>",
          "type": "<string>"
        }
      ],
      "roleTags": [
        "<string>"
      ],
      "userId": "<string>"
    }
  ],
  "systemData": {
    "createdOn": "2023-11-07T05:31:56Z",
    "failedLoginAttemptCount": 123,
    "firstFailedLoginAttemptOn": "2023-11-07T05:31:56Z",
    "isLocked": true,
    "isPasswordChangeRequired": true,
    "lastLockedOn": "2023-11-07T05:31:56Z",
    "lastLoginOn": "2023-11-07T05:31:56Z",
    "lastPasswordChangeOn": "2023-11-07T05:31:56Z",
    "remainingLoginAttempts": 123,
    "updatedOn": "2023-11-07T05:31:56Z"
  },
  "userName": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

The user to be created

emailAddress
string | null
externalId
string | null
firstName
string | null
id
string | null
identityProviderId
string | null
isActive
boolean
lastName
string | null
localeCode
string | null
optInToEmail
boolean | null
optInToTextMessage
boolean | null
password
string | null
phoneNumber
string | null
roles
object[] | null
systemData
object
userName
string | null

Response

OK

emailAddress
string | null
externalId
string | null
firstName
string | null
id
string | null
identityProviderId
string | null
isActive
boolean
lastName
string | null
localeCode
string | null
optInToEmail
boolean | null
optInToTextMessage
boolean | null
password
string | null
phoneNumber
string | null
roles
object[] | null
systemData
object
userName
string | null